Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.aop.deployment
Class AspectManagerService32

    java.lang.Object
      org.jboss.mx.util.JBossNotificationBroadcasterSupport
          org.jboss.system.ServiceMBeanSupport
              org.jboss.aop.deployment.AspectManagerService
                  org.jboss.aop.deployment.AspectManagerService32

All Implemented Interfaces:
  AspectManagerServiceMBean, org.jboss.aop.AspectNotificationHandler, javax.management.MBeanRegistration, javax.management.NotificationBroadcaster, javax.management.NotificationEmitter, org.jboss.system.Service, org.jboss.system.ServiceMBean

public class AspectManagerService32
extends AspectManagerService

Comment

Version:
  $Revision: 1.1.2.3 $
Author:
  Bill Burke

Field Summary

Fields inherited from class org.jboss.aop.deployment.AspectManagerService
`DEFAULT_LOADER_REPOSITORY, enableTransformer, suppressTransformationErrors, tmpClassesDir`

Fields inherited from class org.jboss.system.ServiceMBeanSupport
`log, server, SERVICE_CONTROLLER_SIG, serviceName`

Fields inherited from interface org.jboss.system.ServiceMBean
`CREATE_EVENT, CREATED, DESTROY_EVENT, DESTROYED, FAILED, REGISTERED, START_EVENT, STARTED, STARTING, states, STOP_EVENT, STOPPED, STOPPING, UNREGISTERED`

Constructor Summary
`AspectManagerService32()`

Method Summary
`protected void` | `baseAop()`
`protected org.jboss.aop.ClassPoolFactory` | `createFactory()`

Methods inherited from class org.jboss.aop.deployment.AspectManagerService
`aspectDefinitions, attachClass, bindings, createService, getEnableTransformer, getOptimized, getSuppressTransformationErrors, getTmpClassesDir, getVerbose, interceptorFactories, registeredClassLoaders, setEnableTransformer, setOptimized, setSuppressTransformationErrors, setTmpClassesDir, setVerbose, stacks, startService, stopService`

Methods inherited from class org.jboss.system.ServiceMBeanSupport
`create, destroy, destroyService, getLog, getName, getNextNotificationSequenceNumber, getObjectName, getServer, getServiceName, getState, getStateString, jbossInternalCreate, jbossInternalDescription, jbossInternalDestroy, jbossInternalLifecycle, jbossInternalStart, jbossInternalStop, postDeregister, postRegister, preDeregister, preRegister, start, stop`

Methods inherited from class org.jboss.mx.util.JBossNotificationBroadcasterSupport
`addNotificationListener, getNotificationInfo, handleNotification, removeNotificationListener, removeNotificationListener, sendNotification`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.jboss.system.ServiceMBean
`getName, getState, getStateString, jbossInternalLifecycle`

Methods inherited from interface org.jboss.system.Service
`create, destroy, start, stop`

Constructor Detail

### AspectManagerService32

    public AspectManagerService32()

Method Detail

### createFactory

    protected org.jboss.aop.ClassPoolFactory createFactory()
                                                    throws Exception

  Overrides:
    `createFactory` in class `AspectManagerService`
  Throws:
    `Exception`

### baseAop

    protected void baseAop()

  Overrides:
    `baseAop` in class `AspectManagerService`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002 JBoss Group, LLC. All Rights Reserved.